# car geometry / dimensions
wheelbase: 0.245
track: 0.1624
vehicle_width: 0.205
distance_cog_front: 0.12 # measure me!
distance_cog_rear: 0.125 # measure me!
moment_of_inertia: 0.072 # measure me!
tire_stiffness_front: 0.0016 # measure me!
tire_stiffness_rear: 0.0020 # measure me!
mass: 4.8 # measure me!
tire_radius: 0.0352
distance_to_front_bumper: 0.30
distance_to_rear_bumper: 0.05
max_steering_angle_left: 0.416
max_steering_angle_right: 0.4
max_steering_angle_front_left: 0.416
max_steering_angle_front_right: 0.4
max_steering_angle_back_left: 0.0
max_steering_angle_back_right: 0.0

cog_height: 0.0397                          # measure me!
#steering
time_constant_servo: rad(1.0/120)           # Zeitkonstante Servos \kappa_{\delta}
time_constant_steering: rad(1.0/120)        # Zeitkonstante Servos \kappa_{\delta}
#drive train
gear_ratio_motor: 1                         # Motorübersetzung: 'i_M' = 116/23  ## 87/22
gear_ratio_differential: 1                  # Differentialübersetzung 'i_D'
wheel_inertia:                1             # Trägheitsmoment Radeinheit 'J_w' [kg m^2]
combined_drive_train_inertia: 1             # Trägheitsmoment Antriebsstrang 'J_comb = J_w + i_D^2*(J_DT+i_M^2*J_M)/4.0;' [kg m^2]
motor_current_to_torque:      0             # Motor current to torque scaling [Nm/A]
                                            # source: maxon Formelsammlung p. 39: k_M = 30/(pi*k_n)
                                            # k_n = k_v = 1700 [1/(min*V)], source LRP (motor manufacturer)
imu: {
    left: {
      translation: { # translation w.r.t. rear axle center
        x: 0.0,                 # 'r_{ix}'
        y: 0.0,                 # 'r_{iy}'
        z: 0.0                  # 'r_{iz}'
      }
    },
    right: {
      translation: { # translation w.r.t. rear axle center
       x: 0.0,                 # 'r_{ix}'
       y: 0.0,                 # 'r_{iy}'
       z: 0.0                  # 'r_{iz}'
      }
    }
  }

